The TensorFlow library wasn't compiled to use SSE4.1 instructions
博客专区 > gzfdxy 的博客 > 博客详情
The TensorFlow library wasn't compiled to use SSE4.1 instructions
gzfdxy 发表于6个月前
The TensorFlow library wasn't compiled to use SSE4.1 instructions
  • 发表于 6个月前
  • 阅读 17
  • 收藏 0
  • 点赞 0
  • 评论 0

新睿云服务器60天免费使用,快来体验!>>>   

2017-08-19 09:02:27.038166: W tensorflow/core/platform/cpu_feature_guard.cc:45] The TensorFlow library wasn't compiled to use SSE4.1 instructions, but these are available on your machine and could speed up CPU computations.
2017-08-19 09:02:27.038428: W tensorflow/core/platform/cpu_feature_guard.cc:45] The TensorFlow library wasn't compiled to use SSE4.2 instructions, but these are available on your machine and could speed up CPU computations.
2017-08-19 09:02:27.038597: W tensorflow/core/platform/cpu_feature_guard.cc:45] The TensorFlow library wasn't compiled to use AVX instructions, but these are available on your machine and could speed up CPU computations.

 

这些只是警告。 他们只是通知您,如果您从源代码构建TensorFlow可以在您的机器上更快。 默认情况下,这些指令在可用的版本上未启用,我认为可能跟更多CPU兼容性有关。
如果想要禁用这些警告,请加入下面的一段代码:

import os
os.environ['TF_CPP_MIN_LOG_LEVEL']='2'

TF_CPP_MIN_LOG_LEVEL是一个负责日志的TensorFlow环境变量,要禁言INFO日志设置为1,要过滤警告设置为2,要禁言ERROR日志(不推荐)设置为3。

 

 

  • 打赏
  • 点赞
  • 收藏
  • 分享
共有 人打赏支持
粉丝 2
博文 37
码字总数 6246
×
gzfdxy
如果觉得我的文章对您有用,请随意打赏。您的支持将鼓励我继续创作!
* 金额(元)
¥1 ¥5 ¥10 ¥20 其他金额
打赏人
留言
* 支付类型
微信扫码支付
打赏金额:
已支付成功
打赏金额: